#pragma once
#include "../../../UnitData.h"

class GroupTacticalAction;

class Layer2UnitData : public virtual UnitData
{
public:
  Layer2UnitData(BWAPI::Unit* unit)
    : UnitData(unit)
    , m_currentAction(NULL)
  { }
  bool proposeAction(GroupTacticalAction* action, bool force);
  void removeAction(GroupTacticalAction* action);
  const GroupTacticalAction* getCurrentAction() const { return m_currentAction; }
private:
  GroupTacticalAction* m_currentAction;
};
